import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { ItemCategoryEntity } from '../../domain/entities/item-category.entity';
import { Column, Entity } from 'typeorm';
import { BaseStatusModel } from 'src/core/modules/data/model/base-status.model';
import { ItemType } from '../../constants';

@Entity(TABLE_NAME.ITEM_CATEGORY)
export class ItemCategoryModel
  extends BaseStatusModel<ItemCategoryEntity>
  implements ItemCategoryEntity
{
  @Column('varchar', { name: 'name' })
  name: string;

  @Column('enum', {
    name: 'item_type',
    enum: ItemType,
    default: ItemType.TIKET_MASUK,
  })
  item_type: ItemType;
}
